org.vertx.java.core

## Class AsyncResult<T>

- java.lang.Object
- - org.vertx.java.core.AsyncResult<T>

    public class AsyncResult<T>
    extends java.lang.Object

Represents a result that is returned asynchronously from an operation.

### Field Summary

Fields
`java.lang.Exception` `exception` An exception describing failure.
`T` `result` The result of the operation.

### Constructor Summary

Constructors
Constructor and Description
`AsyncResult(java.lang.Exception exception)` Create a failed AsyncResult
`AsyncResult(T result)` Create a successful AsyncResult

### Method Summary

Methods
`boolean` `failed()` Did it fail?
`boolean` `succeeded()` Did it succeeed?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### result

    public final T result

The result of the operation. This will be null if the operation failed.

#### exception

    public final java.lang.Exception exception

An exception describing failure. This will be null if the operation succeeded.

### Constructor Detail

#### AsyncResult

    public AsyncResult(T result)

Create a successful AsyncResult

Parameters:
  `result` - The result

#### AsyncResult

    public AsyncResult(java.lang.Exception exception)

Create a failed AsyncResult

Parameters:
  `exception` - The exception

### Method Detail

#### succeeded

    public boolean succeeded()

Did it succeeed?

#### failed

    public boolean failed()

Did it fail?